Update Images
API reference for /api/v2/listing/images
API reference for /api/v1/listing/images
Use the listing/images endpoint to update images for a listing.
Listings are identified for update by matching identificationDetails.stockNumber.
Example Request (V2 - Asynchronous)
Section titled “Example Request (V2 - Asynchronous)”The V2 endpoint immediately returns a 202 Accepted with a transactionId that can be used to track the status.
POST /api/v2/listing/imagesAuthorization: Bearer eyJh...usDMContent-Type: application/json
{ "stockNumber": "C2026" "branch": "christchurch", "imageUrls": [ "https://autotrader.co.nz/wp-content/uploads/2025/10/toyota-corolla-concept-2026-3.jpg", "https://autotrader.co.nz/wp-content/uploads/2025/10/toyota-corolla-concept-2026-2-1.jpg", "https://autotrader.co.nz/wp-content/uploads/2025/10/toyota-corolla-concept-2026-6-copy-1.jpg" ]}Example Request (V1 - Synchronous)
Section titled “Example Request (V1 - Synchronous)”POST /api/v1/listing/imagesAuthorization: Bearer eyJh...usDMContent-Type: application/json
{ "stockNumber": "C2026" "branch": "christchurch", "imageUrls": [ "https://autotrader.co.nz/wp-content/uploads/2025/10/toyota-corolla-concept-2026-3.jpg", "https://autotrader.co.nz/wp-content/uploads/2025/10/toyota-corolla-concept-2026-2-1.jpg", "https://autotrader.co.nz/wp-content/uploads/2025/10/toyota-corolla-concept-2026-6-copy-1.jpg" ]}